ED(1)

NOM
ed – Éditeur de texte orienté ligne

SYNOPSIS
ed [options] [[+ligne] fichier]

DESCRIPTION
GNU ed est un éditeur de texte orienté ligne. Il permet de créer, afficher, modifier et, plus généralement, de manipuler des fichiers texte, soit interactivement, soit à travers des scripts d’interpréteur. Une version restreinte d’ed, red(1), peut seulement éditer des fichiers dans le répertoire actuel et ne peut pas exécuter des commandes d’interpréteur. ed est l’éditeur de texte standard en ce sens qu’il est l’éditeur original pour Unix et, par conséquent, largement disponible. Pour la plupart des besoins, il est remplacé par des éditeurs plein écran.

Le nom de fichier peut être précédé par « +ligne », « +/ER » ou « +?ER » pour établir la ligne en cours au numéro de ligne spécifié, ou à la première ou dernière occurrence correspondant à l’expression rationnelle « ER ».

ed débute l’édition en lisant dans fichier s’il est indiqué. Si fichier débute par un « ! », il lit la sortie de la commande d’interpréteur.

La variable d’environnement LINES peut être utilisée pour définir la taille de fenêtre initiale.

OPTIONS

-h, --help
    afficher l'aide-mémoire et quitter

-V, --version
    afficher les informations de version et quitter

-E, --extended-regexp
    Utiliser les expressions rationnelles étendues.

-G, --traditional
    Exécuter en mode compatibilité.

-l, --loose-exit-status
    Quitter avec le code 0 même si une commande échoue.

-p, --prompt=CHAÎNE
    Utiliser CHAÎNE comme invite interactive.

-q, --quiet, --silent
    Supprimer les messages de diagnostic écrits sur la sortie d’erreur.

-r, --restricted
    Exécuter en mode restreint.

-s, --script
    Supprimer le décompte des octets et l’invite « ! ».

-v, --verbose
    Mode prolixe ; équivalent à la commande « H ».

--strip-trailing-cr
    Supprimer les retours chariot à la fin des lignes de texte.

--unsafe-names
    Autoriser les caractères de contrôle dans les noms de fichier.

CODE DE RETOUR
Le code de retour est 0 pour un achèvement normal, 1 pour des problèmes environnementaux (option de ligne de commande non autorisée, mémoire manquante, échec de commande, etc.), 2 pour des problèmes avec le fichier d’entrée (fichier non trouvé, tampon modifié, erreurs d’E/S), 3 pour une erreur de cohérence interne (par exemple, bogue) provoquant un « panic » de ed.

SIGNALER DES BOGUES
Signaler toute erreur à bug-ed@gnu.org
Page d’accueil de ed : http://www.gnu.org/software/ed/ed.html
Aide générale pour les logiciels GNU : <https://www.gnu.org/gethelp/>

COPYRIGHT
Copyright © 1994 Andrew L. Moore.
Copyright © 2026 Antonio Diaz Diaz. Licence GPLv2+ : GNU GPL version 2 ou postérieure <http://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
La documentation complète de ed est disponible dans un manuel Texinfo. Si les programmes info et ed sont correctement installés, la commande

    info ed

devrait vous donner accès au manuel complet.

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.